Index: palm/trunk/SOURCE/outflow_turbulence.f90
===================================================================
--- palm/trunk/SOURCE/outflow_turbulence.f90	(revision 3240)
+++ palm/trunk/SOURCE/outflow_turbulence.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -57,5 +60,5 @@
 
     USE indices,                                                               &
-        ONLY:  nbgp, nx, nxr, ny, nyn, nys, nyng, nysg, nzb, nzt
+        ONLY:  nbgp, nx, nxr, nyn, nys, nyng, nysg, nzb, nzt
 
     USE kinds
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 3240)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3049 2018-05-29 13:52:36Z Giersch
 ! Error messages revised
 ! 
@@ -163,6 +166,6 @@
 
     USE control_parameters,                                                    &
-        ONLY:  dt_data_output, dt_dopts, dt_dvrp, message_string,              &
-               particle_maximum_age, threshold
+        ONLY:  dt_dopts, dt_dvrp, message_string, particle_maximum_age,        &
+               threshold
 
     USE dvrp_variables,                                                        &
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 3240)
+++ palm/trunk/SOURCE/palm.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3235 2018-09-07 14:06:15Z sward
 ! Added mas_last_actions call and multi_agent_system_mod dependency
 ! 
@@ -239,16 +242,11 @@
 
     USE control_parameters,                                                    &
-        ONLY:  air_chemistry,                                                  &
-               cloud_physics, constant_diffusion, child_domain, coupling_char, &
-               coupling_mode,                                                  &
-               do2d_at_begin, do3d_at_begin, humidity, initializing_actions,   &
-               io_blocks, io_group, large_scale_forcing,                       &
+        ONLY:  air_chemistry, cloud_physics, constant_diffusion, child_domain, &
+               coupling_char, coupling_mode, do2d_at_begin, do3d_at_begin,     &
+               humidity, initializing_actions, io_blocks, io_group,            &
                message_string, microphysics_morrison, microphysics_seifert,    &
-               neutral, nudging, passive_scalar, runnr,                        &
-               simulated_time, simulated_time_chr, spinup,                     &
-               time_since_reference_point,                                     &
-               user_interface_current_revision,                                &
-               user_interface_required_revision, version, wall_heatflux,       &
-               write_binary
+               neutral, passive_scalar, runnr, simulated_time_chr, spinup,     &
+               time_since_reference_point, user_interface_current_revision,    &
+               user_interface_required_revision, version, write_binary
 
     USE cpulog,                                                                &
@@ -276,5 +274,5 @@
 
     USE pmc_interface,                                                         &
-        ONLY:  cpl_id, nested_run, pmci_child_initialize, pmci_init,           &
+        ONLY:  nested_run, pmci_child_initialize, pmci_init,                   &
                pmci_modelconfiguration, pmci_parent_initialize,                &
                pmci_ensure_nest_mass_conservation
@@ -288,9 +286,6 @@
 !
 !-- Local variables
-    CHARACTER(LEN=9)  ::  time_to_string  !<
-    CHARACTER(LEN=10) ::  env_string      !< to store string of environment var
-    INTEGER(iwp)      ::  env_stat        !< to hold status of GET_ENV
-    INTEGER(iwp)      ::  i               !<
-    INTEGER(iwp)      ::  myid_openmpi    !< OpenMPI local rank for CUDA aware MPI
+    CHARACTER(LEN=9) ::  time_to_string  !<
+    INTEGER(iwp)     ::  i               !< loop counter for blocked I/O
 
     version = 'PALM 5.0'
Index: palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3065 2018-06-12 07:03:02Z Giersch
 ! dz was replaced by the help of zw to allow for vertical stretching
 ! 
@@ -314,5 +317,5 @@
  
     USE control_parameters,                                                 &
-        ONLY:  data_output, message_string, urban_surface
+        ONLY:  message_string, urban_surface
 
     IMPLICIT NONE
@@ -671,6 +674,5 @@
 
        USE control_parameters,                                                 &
-           ONLY: humidity, io_blocks, io_group, message_string, ocean,         &
-                 passive_scalar, urban_surface
+           ONLY: humidity, message_string, ocean, urban_surface
 
        USE netcdf_data_input_mod,                                              &
@@ -682,8 +684,5 @@
        IMPLICIT NONE
 
-       CHARACTER(10) :: pct
-       
        INTEGER(iwp) ::  i   !< running index
-       INTEGER(iwp) ::  ii  !< index       
        INTEGER(iwp) ::  j   !< running index
        INTEGER(iwp) ::  k   !< running index
@@ -691,9 +690,7 @@
 
        REAL(wp) ::  int_bpdf        !< vertical integral for lad-profile construction
-       REAL(wp) ::  dzh             !< vertical grid spacing in units of canopy height
        REAL(wp) ::  gradient        !< gradient for lad-profile construction
        REAL(wp) ::  canopy_height   !< canopy height for lad-profile construction
-       REAL(wp) ::  pcv(nzb:nzt+1)  !<
-       
+
 !
 !--    Allocate one-dimensional arrays for the computation of the 
@@ -1099,5 +1096,5 @@
     
        USE control_parameters,                                                 &
-           ONLY:  coupling_char, message_string, passive_scalar
+           ONLY:  coupling_char, message_string
 
        USE indices,                                                            &
@@ -1110,6 +1107,4 @@
        INTEGER(iwp)                        ::  i, j      !< running index
        INTEGER(iwp)                        ::  nzp       !< number of vertical layers of plant canopy
-       INTEGER(iwp)                        ::  nzpltop   !<
-       INTEGER(iwp)                        ::  nzpl      !<
        
        REAL(wp), DIMENSION(:), ALLOCATABLE ::  col   !< vertical column of input data
Index: palm/trunk/SOURCE/pmc_child_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_child_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/pmc_child_mod.f90	(revision 3241)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 2841 2018-02-27 15:02:57Z knoop
 ! Bugfix: wrong placement of include 'mpif.h' corrected
 ! 
@@ -226,5 +229,4 @@
 
     INTEGER(iwp) ::  mype  !<
-    INTEGER(iwp) ::  my_addiarray = 0  !<
 
 
@@ -565,6 +567,4 @@
 !--                                    recv -> parent to child transfer
 !--                                    send -> child to parent transfer
-    CHARACTER(LEN=da_namelen) ::  myname  !<
-
     INTEGER(iwp) ::  arlen    !<
     INTEGER(iwp) ::  myindex  !<
@@ -735,6 +735,4 @@
     LOGICAL, INTENT(IN), OPTIONAL   ::  particle_transfer  !<
 
-    CHARACTER(LEN=da_namelen) ::  myname  !<
-    
     LOGICAL                        ::  lo_ptrans!<
     
@@ -870,6 +868,4 @@
     LOGICAL, INTENT(IN), OPTIONAL   ::  particle_transfer  !<
 
-    CHARACTER(LEN=da_namelen) ::  myname  !<
-    
     LOGICAL ::  lo_ptrans!<
     
@@ -879,8 +875,4 @@
     INTEGER(iwp) ::  j            !<
     INTEGER(iwp) ::  myindex      !<
-    INTEGER(iwp) ::  nr           !< number of elements to get from parent
-    
-    INTEGER(KIND=MPI_ADDRESS_KIND) ::  target_disp  !<
-    
 
     INTEGER(iwp), DIMENSION(1) ::  buf_shape    !<
Index: palm/trunk/SOURCE/pmc_general_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_general_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/pmc_general_mod.f90	(revision 3241)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! unused variable removed
+! 
+! 2841 2018-02-27 15:02:57Z knoop
 ! Bugfix: wrong placement of include 'mpif.h' corrected
 ! 
@@ -183,5 +186,4 @@
     INTEGER(iwp) ::  i  !<
 
-    TYPE(arraydef), POINTER ::  ar   !<
     TYPE(pedef), POINTER    ::  ape  !<
 
Index: palm/trunk/SOURCE/pmc_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3217 2018-08-29 12:53:59Z suehring
 ! Revise calculation of index bounds for array index_list, prevent compiler 
 ! (cray) to delete the loop at high optimization level.  
@@ -703,7 +706,5 @@
 #if defined( __parallel )
 
-    INTEGER(iwp)         ::  ierr         !<
-    INTEGER(iwp)         ::  istat        !<
-    INTEGER(iwp)         ::  pmc_status   !<
+    INTEGER(iwp) ::  pmc_status   !<
 
 
@@ -827,6 +828,4 @@
     INTEGER(iwp) ::  child_id         !<
     INTEGER(iwp) ::  ierr             !<
-    INTEGER(iwp) ::  i                !<
-    INTEGER(iwp) ::  j                !<
     INTEGER(iwp) ::  k                !<
     INTEGER(iwp) ::  m                !<
@@ -1082,6 +1081,4 @@
        INTEGER(iwp) ::  j                  !<
        INTEGER(iwp) ::  k                  !<
-       INTEGER(iwp) ::  m                  !<
-       INTEGER(iwp) ::  n                  !<
        INTEGER(iwp) ::  npx                !<
        INTEGER(iwp) ::  npy                !<
@@ -1560,7 +1557,5 @@
 
        INTEGER(iwp) ::  i       !<
-       INTEGER(iwp) ::  i1      !<
        INTEGER(iwp) ::  j       !<
-       INTEGER(iwp) ::  j1      !<
        INTEGER(iwp) ::  k       !<
        INTEGER(iwp) ::  kc      !<
@@ -1675,12 +1670,8 @@
        INTEGER(iwp) ::  dum            !< dummy value for reduce operation
        INTEGER(iwp) ::  i              !<
-       INTEGER(iwp) ::  icorr          !<
        INTEGER(iwp) ::  ierr           !< MPI status
        INTEGER(iwp) ::  inc            !< Wall outward-normal index increment -1
                                        !< or 1, for direction=1, inc=1 always
-       INTEGER(iwp) ::  iw             !<
        INTEGER(iwp) ::  j              !<
-       INTEGER(iwp) ::  jcorr          !<
-       INTEGER(iwp) ::  jw             !<
        INTEGER(iwp) ::  k              !<
        INTEGER(iwp) ::  k_wall_u_ji    !< topography top index on u-grid
@@ -1694,7 +1685,5 @@
        INTEGER(iwp) ::  k_wall_w_ji_m  !< topography top index on w-grid
        INTEGER(iwp) ::  kb             !<
-       INTEGER(iwp) ::  kcorr          !<
        INTEGER(iwp) ::  lc             !<
-       INTEGER(iwp) ::  m              !< Running index for surface data type
        INTEGER(iwp) ::  ni             !<
        INTEGER(iwp) ::  nj             !<
@@ -3491,8 +3480,6 @@
 #if defined( __parallel )
     INTEGER(iwp) ::  ierr        !<
-    INTEGER(iwp) ::  istat       !<
 
     REAL(wp), POINTER, DIMENSION(:,:)     ::  p_2d        !<
-    REAL(wp), POINTER, DIMENSION(:,:)     ::  p_2d_sec    !<
     REAL(wp), POINTER, DIMENSION(:,:,:)   ::  p_3d        !<
     REAL(wp), POINTER, DIMENSION(:,:,:)   ::  p_3d_sec    !<
@@ -3680,5 +3667,4 @@
 #if defined( __parallel )
     INTEGER(iwp) ::  ierr    !<
-    INTEGER(iwp) ::  istat   !<
 
     REAL(wp), POINTER,DIMENSION(:,:)       ::  p_2d    !<
@@ -4360,8 +4346,6 @@
     IMPLICIT NONE
 
-    INTEGER(iwp)           ::  ierr   !<
-    INTEGER(iwp)           ::  istat  !<
-
     CHARACTER(LEN=*), INTENT(IN) ::  local_nesting_mode
+
 
     IF ( TRIM( local_nesting_mode ) == 'one-way' )  THEN
@@ -4413,12 +4397,7 @@
     INTEGER(iwp) ::  child_id    !<
     INTEGER(iwp) ::  i           !<
-    INTEGER(iwp) ::  ierr        !<
     INTEGER(iwp) ::  j           !<
     INTEGER(iwp) ::  k           !<
     INTEGER(iwp) ::  m           !<
-
-    REAL(wp)               ::  waittime    !<
-    REAL(wp), DIMENSION(1) ::  dtc         !<
-    REAL(wp), DIMENSION(1) ::  dtl         !<
 
 
@@ -4482,5 +4461,4 @@
 
 #if defined( __parallel )
-    INTEGER(iwp) ::  ierr        !<
     INTEGER(iwp) ::  icl         !<
     INTEGER(iwp) ::  icr         !<
@@ -4489,5 +4467,4 @@
     
     REAL(wp), DIMENSION(1) ::  dtl         !<
-    REAL(wp), DIMENSION(1) ::  dts         !<
 
 
@@ -5150,4 +5127,6 @@
 
       IMPLICIT NONE
+
+      INTEGER(iwp) ::  nzt_topo_nestbc   !<
 
       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
@@ -5170,5 +5149,4 @@
                                           INTENT(IN)           ::  logc   !<
       INTEGER(iwp), DIMENSION(1:2,nys:nyn), INTENT(IN)         ::  logc_kbounds !<
-      INTEGER(iwp) ::  nzt_topo_nestbc   !<
 
       CHARACTER(LEN=1), INTENT(IN) ::  edge   !<
@@ -5178,10 +5156,8 @@
       INTEGER(iwp) ::  ib       !<
       INTEGER(iwp) ::  ibgp     !<
-      INTEGER(iwp) ::  iw       !<
       INTEGER(iwp) ::  j        !<
       INTEGER(iwp) ::  jco      !<
       INTEGER(iwp) ::  jcorr    !<
       INTEGER(iwp) ::  jinc     !<
-      INTEGER(iwp) ::  jw       !<
       INTEGER(iwp) ::  j1       !<
       INTEGER(iwp) ::  k        !<
@@ -5193,9 +5169,5 @@
       INTEGER(iwp) ::  m        !<
       INTEGER(iwp) ::  n        !<
-      INTEGER(iwp) ::  kbc      !<
       
-      REAL(wp) ::  coarse_dx   !<
-      REAL(wp) ::  coarse_dy   !<
-      REAL(wp) ::  coarse_dz   !<
       REAL(wp) ::  fkj         !<
       REAL(wp) ::  fkjp        !<
@@ -5371,4 +5343,6 @@
       IMPLICIT NONE
 
+      INTEGER(iwp) ::  nzt_topo_nestbc   !<
+
       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
                                       INTENT(INOUT) ::  f             !<
@@ -5390,5 +5364,4 @@
                                           INTENT(IN)           ::  logc  !<
       INTEGER(iwp), DIMENSION(1:2,nxl:nxr), INTENT(IN)         ::  logc_kbounds  !< 
-      INTEGER(iwp) ::  nzt_topo_nestbc   !<
 
       CHARACTER(LEN=1), INTENT(IN) ::  edge   !<
@@ -5412,7 +5385,4 @@
       INTEGER(iwp) ::  n       !<
                             
-      REAL(wp) ::  coarse_dx   !<
-      REAL(wp) ::  coarse_dy   !<
-      REAL(wp) ::  coarse_dz   !<
       REAL(wp) ::  fk          !<
       REAL(wp) ::  fkj         !<
@@ -5614,7 +5584,4 @@
       INTEGER(iwp) ::  n   !<
       
-      REAL(wp) ::  coarse_dx   !<
-      REAL(wp) ::  coarse_dy   !<
-      REAL(wp) ::  coarse_dz   !<
       REAL(wp) ::  fk          !<
       REAL(wp) ::  fkj         !<
@@ -5695,6 +5662,4 @@
        CHARACTER(LEN=*), INTENT(IN) ::  var   !< identifyer for treated variable
 
-       INTEGER(iwp), DIMENSION(0:kct,jcs:jcn,icl:icr), INTENT(IN) :: ijkfc !< number of child grid points contributing to a parent grid box
-
        INTEGER(iwp) ::  i         !< Running index x-direction - fine-grid
        INTEGER(iwp) ::  ii        !< Running index x-direction - coarse grid
@@ -5718,4 +5683,6 @@
        INTEGER(iwp), DIMENSION(0:kct), INTENT(IN)   ::  kfl !< Indicates start index of child cells belonging to certain parent cell - z direction
        INTEGER(iwp), DIMENSION(0:kct), INTENT(IN)   ::  kfu !< Indicates start index of child cells belonging to certain parent cell - z direction
+
+       INTEGER(iwp), DIMENSION(0:kct,jcs:jcn,icl:icr), INTENT(IN) :: ijkfc !< number of child grid points contributing to a parent grid box
 
        REAL(wp) ::  cellsum   !< sum of respective child cells belonging to parent cell 
Index: palm/trunk/SOURCE/pmc_parent_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_parent_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/pmc_parent_mod.f90	(revision 3241)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Comment extended
 ! 
@@ -249,10 +252,8 @@
 
      INTEGER(iwp) ::  ian    !<
-     INTEGER(iwp) ::  ic     !<
      INTEGER(iwp) ::  ie     !<
      INTEGER(iwp) ::  ip     !<
      INTEGER(iwp) ::  is     !<
      INTEGER(iwp) ::  istat  !<
-     INTEGER(iwp) ::  n,i    !<
 
 
@@ -472,5 +473,4 @@
     INTEGER(iwp)                   ::  i        !<
     INTEGER(iwp)                   ::  ierr     !<
-    INTEGER(iwp)                   ::  istat    !<
     INTEGER(iwp)                   ::  j        !<
     INTEGER(iwp)                   ::  myindex  !<
@@ -633,5 +633,4 @@
     INTEGER(iwp)               ::  ij       !<
     INTEGER(iwp)               ::  ip       !<
-    INTEGER(iwp)               ::  istat    !<
     INTEGER(iwp)               ::  j        !<
     INTEGER(iwp)               ::  myindex  !<
@@ -728,10 +727,9 @@
     INTEGER(iwp)                   ::  ip_start      !<
     INTEGER(iwp)                   ::  ip_end        !<
-    INTEGER(iwp)                   ::  istat         !<
     INTEGER(iwp)                   ::  j             !<
     INTEGER(iwp)                   ::  myindex       !<
     INTEGER(iwp)                   ::  nr            !<
     INTEGER(iwp)                   ::  target_pe     !<
-    INTEGER(kind=MPI_ADDRESS_KIND) ::  target_disp   !<
+    INTEGER(KIND=MPI_ADDRESS_KIND) ::  target_disp   !<
     
     LOGICAL                        ::  lo_ptrans
@@ -926,5 +924,4 @@
     INTEGER(iwp), INTENT(IN) ::  iactive   !<
 
-    INTEGER(iwp) :: i   !<
     INTEGER(iwp) :: ip  !<
     INTEGER(iwp) :: j   !<
